"cores per socket" field should be disabled for Virtual H/W Version 10 when creating VMware VM
Description

VMware has removed the "Cores per socket" configuration setting for Hardware version 10.  Please grey out or remove the "Cores

per socket" field when selecting Virtual H/W Version of 10.

Related issues:

Related to Foreman - Bug #14038: Selecting multiple cores per socket not work... Closed 03/03/2016

Related to Foreman - Bug #7177: Unable to create a new host against a vSphere... New 08/20/2014

History

#1 - 06/19/2015 03:14 AM - Marek Hulán

- Subject changed from Virtual Machine creation: "cores per socket" field should be disabled for Virtual H/W Version 10 to "cores per socket" field

should be disabled for Virtual H/W Version 10 when creating VMware VM

- Category set to Compute resources - VMware

#2 - 10/24/2015 10:26 AM - Anonymous

As we don't set the h/w version by default and just pass all the args to fog, I think it's time to remove the "cores per socket" field alltogether, as we

have no possibility to check all the way down to the actual ESX server if the Compute Resource would accept it.

#3 - 01/05/2016 10:14 AM - Chris Pisano

If the "Cores per socket" field is removed will the CPUs field count increase from 8? In VMware I think it goes all the way up to 32 and with the cores

per socket option disappearing I can see a need to be able to have more than 8 CPUs.

#4 - 02/22/2016 11:47 AM - Anonymous

- Assignee set to Timo Goebel

Timo, could you have a look onto this one?

#5 - 02/22/2016 12:02 PM - Timo Goebel

Michael Moll wrote:

Timo, could you have a look onto this one?

 Sure, will do.

#6 - 03/03/2016 01:10 PM - Anonymous

- Related to Bug #14038: Selecting multiple cores per socket not working against vmware provider (image cloning) added

#7 - 06/10/2016 03:43 PM - Anonymous

- Related to Bug #7177: Unable to create a new host against a vSphere 5.1.0 cluster. - 'InvalidProperty: ' added
